Skip to main content
POST
Update an Existing Rate Plan

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

rate_plan
string
required

The id or the vid of the RatePlan to retrieve

Query Parameters

force
boolean
default:false

If set to true, allows updating a Rate Plan the is in use (assigned to at least one Subscription item with at lease one usage Event recorded)

Body

application/json

JSON - This request supports the same arguments as ‘create’ (a full Rate Plan object) excepting the behavior of the id; providing an id or vid in the URL indicates to Subscribe that this is an update, not a create – as such, id and vid cannot be updated.

Rate Plans represents a pre-defined rating schedule - tier-based pricing for rated products (e.g. usage). Both pre-paid (aka License-based) and post-paid (metered, aka usage-based) services use pre-defined tiers to rate recorded events. Rate Plans support flat and per-unit pricing, volume discounts, standard consumption-based prices, included units with overage, and maximum/minimum charge limits.

object
enum<string>

Value is "RatePlan"

Available options:
RatePlan
id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<date-time>

The date/time the object was created.

description
string

Optional description of the rated service offering.

multiply_rated_units_by
enum<string>

Tier pricing rule. EachRespective charges units “in” that tier at its price; HighestApplicable is volume pricing, charging at the peak unit level’s tier for all units. Values can be EachRespectiveTier,HighestApplicableTier.

Available options:
EachRespectiveTier,
HighestApplicableTier
rated_unit
object

Defined rating unit of measure.

tier
object[]

Successive pricing tiers based on unit “from/to” limits

rounding_decimals
integer<int32>

Number of digits for rounding; Excel’s ROUND function- 0 = nearest integer, 2 = 2 decimal places, -2 means = nearest hundred, etc.

included_units
integer<date-time>

Number of units included for free; tier 1 starts after included units have been recorded.

minimum_fee
object[]

Minimum charge per billing period (one price per currency)

maximum_fee
object[]

Maximum charge per billing period (one price per currency)

rate_plan_model
enum<string>

Determines pre-paid (licenses or seats billed in advance) or post-paid (usage recorded throughout the period and billed at period end. Values can be LicenseBased,UsageBased

Available options:
LicenseBased,
UsageBased
status
enum<string>

Merchants may define whether they want to declare a plan as available to offer. Values can be Active,Suspended.

Available options:
Active,
Suspended
has_event_recorded
boolean

Read-only field that tells whether this RatePlan has had any events recorded on it or not.

metadata
string

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

Response

JSON A full RatePlan object.

Rate Plans represents a pre-defined rating schedule - tier-based pricing for rated products (e.g. usage). Both pre-paid (aka License-based) and post-paid (metered, aka usage-based) services use pre-defined tiers to rate recorded events. Rate Plans support flat and per-unit pricing, volume discounts, standard consumption-based prices, included units with overage, and maximum/minimum charge limits.

object
enum<string>

Value is "RatePlan"

Available options:
RatePlan
id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<date-time>

The date/time the object was created.

description
string

Optional description of the rated service offering.

multiply_rated_units_by
enum<string>

Tier pricing rule. EachRespective charges units “in” that tier at its price; HighestApplicable is volume pricing, charging at the peak unit level’s tier for all units. Values can be EachRespectiveTier,HighestApplicableTier.

Available options:
EachRespectiveTier,
HighestApplicableTier
rated_unit
object

Defined rating unit of measure.

tier
object[]

Successive pricing tiers based on unit “from/to” limits

rounding_decimals
integer<int32>

Number of digits for rounding; Excel’s ROUND function- 0 = nearest integer, 2 = 2 decimal places, -2 means = nearest hundred, etc.

included_units
integer<date-time>

Number of units included for free; tier 1 starts after included units have been recorded.

minimum_fee
object[]

Minimum charge per billing period (one price per currency)

maximum_fee
object[]

Maximum charge per billing period (one price per currency)

rate_plan_model
enum<string>

Determines pre-paid (licenses or seats billed in advance) or post-paid (usage recorded throughout the period and billed at period end. Values can be LicenseBased,UsageBased

Available options:
LicenseBased,
UsageBased
status
enum<string>

Merchants may define whether they want to declare a plan as available to offer. Values can be Active,Suspended.

Available options:
Active,
Suspended
has_event_recorded
boolean

Read-only field that tells whether this RatePlan has had any events recorded on it or not.

metadata
string

A set of key/value pairs that you can attach to an object. Useful for storing additional information.